## net.i2p.util
Interface SimpleTimer.TimedEvent

All Known Implementing Classes:
  Connection.ConEvent

Enclosing interface:
  SimpleTimer

public static interface SimpleTimer.TimedEvent

Simple interface for events to be queued up and notified on expiration

Method Summary
`void` `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

Method Detail

### timeReached

    public void timeReached()

  the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)